LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
ParagraphHyphenationKeepType.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::text
| Text specific interfaces.

## Constant Groups
constants | com::sun::star::text::ParagraphHyphenationKeepType
| Specifies how last word on a page or on other regions is hyphenated.

## Variables
const long | AUTO = 0
| No restriction applies.
const long | SPREAD = 1
| The last line before any spread break inside the element should not be hyphenated.
const long | PAGE = 2
| The last line before page or spread break inside the paragraph should not be hyphenated.
const long | COLUMN = 3
| The last line before any column, page, or spread break inside the paragraph should not be hyphenated.
const long | ALWAYS = 4
| The last full line of the paragraph, or the last line before any column, page, or spread break inside the paragraph should not be hyphenated.